build_settings:
    clone_depth: 1 # depth of 1 is a shallow clone, remove this line to clone entire repo
    ignore:
        - "vendor"
        - "tests"

setup:
    composer:
        action: "install"

test:
    php_mess_detector:
        path: ""
        rules:
            - "ruleset.xml"
    php_cpd:
        path: ""
        standard: "PSR2"
    php_code_sniffer:
        path: ""
        standard: "PSR2"

success:
    deployer:
        webhook_url: "http://deployer.opcoding.eu/deploy/NQMupgtM7qZedeJ1p67Q38oCCUNSjSUxHMy2KhZrkAcEiDwJ4zafmgPl6jud"
        reason: "PHPCI Build #%BUILD% - %COMMIT_MESSAGE%"
        update_only: true